Page MenuHomePhabricator

Ability to view repository edits is hidden behind edit policy itself
Closed, ResolvedPublic

Description

I.e. you have to be able to edit the repository to view the change history
See https://phabricator.wikimedia.org/T128673#2082536

Event Timeline

Krenair created this task.Mar 3 2016, 12:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2016, 12:14 AM

I reported a similar thing upstream last year: https://secure.phabricator.com/T6848

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:00 PM
Paladox added a subscriber: Paladox.Jun 6 2016, 7:32 AM

@Krenair since updating phabricator a month and a bit ago it updated diffusion and now allows you to view the repos by going instead to /edit/ you go to /manage/ and you can view history there now.

It only allows login access to view the repos settings but you doint need edit rights to view the information. You only need edit rights to edit the repo now.

Can we close this as resolved.

Luke081515 closed this task as Resolved.Jun 6 2016, 11:12 AM
Luke081515 added a subscriber: Luke081515.

Solved, I think.